<?php
/**
 * @package hitsteps
 * @copyright Copyright (c)2013-2022 Armin Nikdel
 * @license GNU General Public License version 3, or later
 * @version $Id: uninstall.hitsteps.php 712 2018-11-05 09:47:53Z  $
 * @since 3.0
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

// Install modules and plugins -- BEGIN

// -- General settings
jimport('joomla.installer.installer');
@$db = & JFactory::getDBO();
$status = new JObject();
$status->modules = array();
$status->plugins = array();
if(version_compare(JVERSION, '1.6.0', 'ge')) {
	// Joomla 1.6 Beta 13 removed installer?
	$src = dirname(__FILE__);
} else {
	$src = $this->parent->getPath('source');
}

// -- Plugin
$installer = new JInstaller;
$result = $installer->install($src.'/jhitsteps');
$status->plugins[] = array('name'=>'jhitsteps','group'=>'system', 'result'=>$result);


// Install modules and plugins -- END
// Finally, show the installation results form

# ----- hitsteps plugin
//enable them
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "jhitsteps";');
$db->execute();



// -- Live Support module
$installer = new JInstaller;
$result = $installer->install($src.'/mod_jhitstepschat');
$status->modules[] = array('name'=>'Hitsteps Live Support Module','client'=>'site', 'result'=>$result);

// -- Admin Widget module
$installer = new JInstaller;
$result = $installer->install($src.'/mod_jhitstepsadmin');
$status->modules[] = array('name'=>'Hitsteps Overview Admin Panel Module','client'=>'administrator', 'result'=>$result);


// -- Admin Widget module
$installer = new JInstaller;
$result = $installer->install($src.'/mod_jhitstepsadmin1');
$status->modules[] = array('name'=>'Hitsteps Pageviews Admin Panel Module','client'=>'administrator', 'result'=>$result);


// -- Admin Widget module
$installer = new JInstaller;
$result = $installer->install($src.'/mod_jhitstepsadmin2');
$status->modules[] = array('name'=>'Hitsteps World Map Admin Panel Module','client'=>'administrator', 'result'=>$result);


// Install modules and plugins -- END
// Finally, show the installation results form

# ----- hitsteps plugin
//enable them
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "jhitsteps";');
$db->execute();
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "mod_jhitstepschat" ;');
$db->execute();
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "mod_jhitstepsadmin" ;');
$db->execute();
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "mod_jhitstepsadmin1" ;');
$db->execute();
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "mod_jhitstepsadmin2" ;');
$db->execute();
$db->setQuery('update #__extensions set `enabled`="1" WHERE `element` = "com_hitstepsanalytics" ;');
$db->execute();

//get admin module id
$db->setQuery('SELECT `id` FROM #__modules WHERE `module` = "mod_jhitstepsadmin"');
$amid = $db->loadResult();
//enable it
if ($amid>0){
$db->setQuery('replace into #__modules_menu (`moduleid`,`menuid`) values ('.$amid.',0);');
$db->execute();
}


//get admin module id
$db->setQuery('SELECT `id` FROM #__modules WHERE `module` = "mod_jhitstepsadmin1"');
$amid = $db->loadResult();
//enable it
if ($amid>0){
$db->setQuery('replace into #__modules_menu (`moduleid`,`menuid`) values ('.$amid.',0);');
$db->execute();
}


//get admin module id
$db->setQuery('SELECT `id` FROM #__modules WHERE `module` = "mod_jhitstepsadmin2"');
$amid = $db->loadResult();
//enable it
if ($amid>0){
$db->setQuery('replace into #__modules_menu (`moduleid`,`menuid`) values ('.$amid.',0);');
$db->execute();
}

//get chat module id
$db->setQuery('SELECT `id` FROM #__modules WHERE `module` = "mod_jhitstepschat"');
$amid = $db->loadResult();
//enable it
if ($amid>0){
$db->setQuery('replace into #__modules_menu (`moduleid`,`menuid`) values ('.$amid.',0);');
$db->execute();
}


?>

<img src="components/com_hitstepsanalytics/logo-48.png" width="48" height="48" alt="Hitsteps" align="left" />
<h1>&nbsp;Hitsteps Ultimate Web Analytics - Realtime web Analytics</h1><br>

<div class="tdhdr">
Hitsteps Analytics is a real time visitor web statistics, heatmap and live chat app with online visitors. It allows you to view your web stats, visitors stream and follow each visitors to know more about each pages they see. It allow you to engage with your visitors using live chat tool.
<br><br>
If you don't have an API code yet, you can get 
your free trial at <a href="https://www.hitsteps.com/?tag=joomla-to-ht">hitsteps.com</a>.<br><br><a href="https://www.hitsteps.com/register.php?tag=jo-getyourcode" target="_blank" class="btn btn-primary">Get your API code</a><br><small>Each site has it's own API Code. It Looks like 3defb4a2e4426642ea... and can be found in setting page of hitsteps.com after you signed up and added your website to Hitsteps</small><br><br><h2>How to configure Hitsteps at Joomla?</h2>

<a href="http://www.hitsteps.com/register.php?tag=joomla-to-ht-reg">Sign up 
for a Hitsteps account</a> and follow registration steps until you are presented with API code.<br>
If you have an account, login to your hitsteps account, add your website address and you'll see hitsteps setting page, you can see your Hitsteps API code there.<br>
Open Hitsteps plugin in Joomla's Plugin manager.</a>, Search for "Hitsteps" in Plugin Manager and<br>Enter that API Code in Basic options panel field of Joomla plugin page and enable plugin.</p>
	<p class="submit"><a href="https://www.hitsteps.com/features.php" target="_blank" class="btn">View all Hitsteps features</a></p>
<p class="submit">For Step-by-Step instruction on how install this joomla plugin, please visit <a href="https://www.hitsteps.com/plugin/?type=joomla" class="btn" target="_blank" >our official guide</a>.
</divP>
	
	
<style>
.tdhdr{
	-moz-border-radius: 5px; border-radius: 5px;border-radius: 5px; border: 1px solid #bbb;background-color: #ffffff;padding: 10px;
	background-image: gradient(
    linear,
    left bottom,
    left top,
    color-stop(0, rgb(241,241,241)),
    color-stop(1, rgb(250,250,250))
);



}
.tdhdrw{
	-moz-border-radius: 5px;border-radius: 5px;border-radius: 5px; border: 1px solid #bbb;background-color: #ffffff;padding: 10px;
	background-image: gradient(
    linear,
    left bottom,
    left top,
    color-stop(0, rgb(248,248,248)),
    color-stop(1, rgb(255,255,255))
);



}
</style>

<div class="tdhdrw">
<table class="adminlist" style="width: 50%; font-size: 9pt; margin: 15px; border: 1px solid #eaeaea; border-radius: 5px;">
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('Extension'); ?></th>
			<th width="30%"><?php echo JText::_('Status'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="3"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="2"><?php echo 'hitsteps '.JText::_('Component'); ?></td>
			<td><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
		<?php if (count($status->modules)) : ?>
		<tr>
			<th><?php echo JText::_('Module'); ?></th>
			<th><?php echo JText::_('Client'); ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->modules as $module) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo $module['name']; ?></td>
			<td class="key"><?php echo ucfirst($module['client']); ?></td>
			<td><strong><?php echo ($module['result'])?JText::_('Installed'):JText::_('Not installed'); ?></strong></td>
		</tr>
		<?php endforeach;?>
		<?php endif;?>
		<?php if (count($status->plugins)) : ?>
		<tr>
			<th><?php echo JText::_('Plugin'); ?></th>
			<th><?php echo JText::_('Group'); ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->plugins as $plugin) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo ucfirst($plugin['name']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['group']); ?></td>
			<td><strong><?php echo ($plugin['result'])?JText::_('Installed'):JText::_('Not installed'); ?></strong></td>
		</tr>
		<?php endforeach; ?>
		<?php endif; ?>
	</tbody>
</table>
</div>
<fieldset>
	<p>
	</p>
	<p>
		<?php JText::_('COM_hitsteps_JText::_6') ?>
	</p>
</fieldset>